.m-unit-test-table {
  position: relative;
  z-index: 1;

  margin: 1.6rem 0 0 0;
//   padding: 0 1.6rem;

  flex: 1;
  overflow: auto;

  background: #fff;
  border-radius: 1.2rem;
  box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

  white-space: nowrap;

  table {
    thead {
      z-index: 1 !important;
      tr {
        position: relative;
        text-align: center;

        th {
          padding: 0.8rem !important;

          &:nth-child(1) {
            width: 6.1rem;
            padding-left: 1.6rem !important;
          }
          &:nth-child(2) {
            justify-content: flex-start;
            flex: 1;

            text-align: left;
          }
          &:nth-child(3) {
            width: 10.5%;

            justify-content: flex-start;

            text-align: left;
          }
          &:nth-child(4) {
            width: 10.5%;
          }
          &:nth-child(5) {
            width: 10.5%;
          }
          &:nth-child(6) {
            width: 10.5%;
          }
          &:nth-child(7) {
            width: 10.5%;
          }
          &:nth-child(8) {
            width: 12.5%;
          }
          &:nth-child(9) {
            width: 10%;
          }
          &:nth-child(10) {
            width: 7.6rem;
            padding-right: 1.6rem !important;
          }
        }
      }

      &.require-upgrade {
        th {
            &:last-child {
                width: 11rem;
            }
        }
      }
    }

    tbody {
        &.require-upgrade {
            tr {
                td {
                    &:last-child {
                        width: 11rem;
                    }
                }
            }
        }
      tr {
        position: relative;
        cursor: pointer;
        &.require-upgrade-row {
            td {
                color: #a2a3a7 !important;
                background: #F7F8FC !important;

                .skill-col {
                    color: #a2a3a7;
                    cursor: default;

                    sup {
                        color: #a2a3a7;
                    }
                }

                &.privacy-col {
                    img {
                        opacity: .5;
                    }
                }

                &:last-child {
                    width: 11rem;
                }
            }
        }

        &:hover {
          .__action-group {
            opacity: 1;

            pointer-events: all;
          }
        }

        td {
          position: relative;
          padding: 0.8rem !important;

          .skill-col {
            color: #6868AC;
            cursor: pointer;

            span {
                text-decoration: underline;
            }

            sup {
                color: red;
            }
          }

          &:nth-child(1) {
            width: 5.1rem;
            padding-left: 1.6rem !important;
          }
          &:nth-child(2) {
            justify-content: flex-start;
            flex: 1;

            text-align: left;
          }
          &:nth-child(3) {
            width: 10.5%;

            justify-content: flex-start;

            text-align: left;
          }
          &:nth-child(4) {
            width: 10.5%;
          }
          &:nth-child(5) {
            width: 10.5%;
          }
          &:nth-child(6) {
            width: 10.5%;
          }
          &:nth-child(7) {
            width: 10.5%;
          }
          &:nth-child(8) {
            width: 12.5%;
          }
          &:nth-child(9) {
            width: 10%;
          }
          &:nth-child(10) {
            width: 7.6rem;
            padding-right: 1.6rem !important;
          }

          .datetime:hover {
            text-decoration: underline !important;

            cursor: pointer;
          }

          .__action-btn {
            width: 3.6rem;
            height: 3.6rem;
            margin: 0 0.4rem;
            padding: 0;

            display: flex;
            align-items: center;
            justify-content: center;

            background: transparent;
            border-radius: 1.2rem;

            transition: background 0.25s;

            &:hover {
              background: #e4e4f0;

              img {
                filter: unset;
                opacity: 1;
              }
            }

            img {
              width: 2rem;
              height: 2rem;

              object-fit: contain;
              object-position: center;

              filter: grayscale(1.3);
              opacity: 0.6;

              transition: all 0.25s;
            }
          }
        }
      }

      .btn-upgrade-package {
        font-weight: 500;
        font-size: 10px;
        line-height: 130%;
        color: white;
        padding: 4px 8px;
        background: #A293FF;
        border-radius: 40px;
        display: flex;
        align-items: center;
        gap: 8px;

        svg {
            width: 13px;
            height: 13px;
        }
      }
    }
  }
}

.action-table-tooltip {
  padding: 0.5rem 0.8rem;

  background: rgba($color: #43439d, $alpha: 0.75);
  border-radius: 0.8rem;

  color: #fff;
  font-size: 1.2rem;
  font-weight: 500;
  line-height: 1.6rem;

  &:after {
    display: none;
  }
}
